td {
    padding: 0;
}

pre {
    margin: 0;
    padding: 0;
}

.bar {
    position: absolute;
    color: gray;
}

tr.announce {
    background: #ffff99;
}

#comments {
    clear: both;
    padding-top: 20px;
}

.comment_info {
    float: left;
}

.comment_header {
    height: 16px;
}

.comment_date a {
    color: inherit;
}

.comment_title {
    font-weight: bold;
    cursor: pointer;
}

.comment_title:hover {
    color: red;
    text-decoration: none;
}

.comment_rating {
    clear: none;
}

.comment_body {
    padding-top: 10px;
    clear: both;
}

.comment_block {
    background: whitesmoke;
    border: 1px solid #edd;
    padding: 7px;
}

.comment_date {
    color: #777;
}

.controls {
    color: #777;
    display: inline-block;
    float: right;
    margin: 0;
    list-style-type: none;
}

.controls li {
    display: inline;
    float: left;
}

.controls .comment_rating {
    margin-left: 6px;
}

.on {
    opacity: 0.5;
}

.on a {
    cursor: default;
}

.upvotes {
    color: green;
    font-weight: bold;
}

.downvotes {
    color: red;
    font-weight: bold;
}

span.userdeleted {
    color: #A0A0A0; /* dark grey */
    font-style: italic;
}

.posttitle:hover {
    color: blue;
    cursor: pointer;
}

.bold {
   font-weight: bold;
}

.italics {
   font-style: italic;
}

.underline {
   text-decoration: underline;
}

.strikethrough {
   text-decoration: line-through;
}

.overline {
   text-decoration: overline;
}

.quotecodeheader::before {
   font-size: 1em;
   font-weight: bold;
   content: "Quote:";
}

.codebody {
   background-color: #FFFFFF;
    font-family: Courier new, courier, mono;
    font-size: 12px;
    color: #006600;
    border: 1px solid #BFBFBF;
    padding: 0; margin: 0;
}

.quotebody {
   background-color: #FFFFFF;
    font-size: 12px;
    color: #660002;
   border: 1px solid #BFBFBF;
}

.listbullet {
   list-style-type: disc;
   list-style-position: inside;
}

.listdecimal {
   list-style-type: decimal;
   list-style-position: inside;
}

.listlowerroman {
   list-style-type: lower-roman;
   list-style-position: inside;
}

.listupperroman {
   list-style-type: upper-roman;
   list-style-position: inside;
}

.listloweralpha {
   list-style-type: lower-alpha;
   list-style-position: inside;
}

.listupperalpha {
   list-style-type: upper-alpha;
   list-style-position: inside;
}
